Descriptor (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.webapp

## Class Descriptor

- java.lang.Object
- - org.eclipse.jetty.webapp.Descriptor

- Direct Known Subclasses:
    TagLibConfiguration.TldDescriptor, WebDescriptor

      public abstract class Descriptor
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XmlParser` | `_parser`
    `protected XmlParser.Node` | `_root`
    `protected boolean` | `_validating`
    `protected Resource` | `_xml`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Descriptor(Resource xml)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `ensureParser()`
    `Resource` | `getResource()`
    `XmlParser.Node` | `getRoot()`
    `abstract XmlParser` | `newParser()`
    `void` | `parse()`
    `protected void` | `redirect(XmlParser parser, String resource, URL source)`
    `void` | `setValidating(boolean validating)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _xml

          protected Resource _xml

    - #### _root

          protected XmlParser.Node _root

    - #### _parser

          protected XmlParser _parser

    - #### _validating

          protected boolean _validating

  - ### Constructor Detail

    - #### Descriptor

          public Descriptor(Resource xml)

  - ### Method Detail

    - #### newParser

          public abstract XmlParser newParser()
                                       throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### ensureParser

          public abstract void ensureParser()
                                     throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### redirect

          protected void redirect(XmlParser parser,
                      String resource,
                      URL source)

    - #### setValidating

          public void setValidating(boolean validating)

    - #### parse

          public void parse()
                     throws Exception

      Throws:
        `Exception`

    - #### getResource

          public Resource getResource()

    - #### getRoot

          public XmlParser.Node getRoot()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.